
#ifndef IWRAM_ARM_H
#define IWRAM_ARM_H

#ifdef __cplusplus
extern "C" {
#endif

#include "header\gba.h"

//---------------------------------------------------------------------------
IWRAM_CODE void IRQUserHandler();

IWRAM_CODE void DoublerInit();
IWRAM_CODE void DoublerChange();
IWRAM_CODE void DoublerClear(u8 sw);
IWRAM_CODE void DoublerCtlClear();
IWRAM_CODE void DoublerCopy();

//----
IWRAM_CODE void SpriteClear();

//----
IWRAM_CODE void BulletCalc();
IWRAM_CODE void BulletMove();

//----
inline IWRAM_CODE u16 CommonToFieldX(s16 x);
inline IWRAM_CODE u16 CommonToFieldY(s16 y);

#ifdef __cplusplus
}
#endif
#endif

